| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::Property< T > Class Template Reference
Optional Components » Property

Property instance with passthrough calls to a given object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::Property< T >:
[legend]

## Public Types
typedef function< T(void) > | getter_func
typedef function< void(T) > | setter_func
typedef T | value_type

## Public Member Functions
| Property (PropertyDef *def, getter_func getter, setter_func setter)
| Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors. More...
virtual T | get () const
const String & | getDescription () const
| Get the description of the property. More...
const String & | getName () const
| Get the name of the property. More...
PropertyType | getType () const
| Get the type of the property. More...
Ogre::Any | getValue () const
| Return the current value as an Any. More...
virtual void | set (T val)
| Set the property value. More...

## Detailed Description

### template<typename T>
class Ogre::Property< T >

Property instance with passthrough calls to a given object.

## Member Typedef Documentation

## ◆ value_type

template<typename T >

typedef T Ogre::Property< T >::value_type

## ◆ getter_func

template<typename T >

typedef function< T (void) > Ogre::Property< T >::getter_func

## ◆ setter_func

template<typename T >

typedef function< void (T) > Ogre::Property< T >::setter_func

## Constructor & Destructor Documentation

## ◆ Property()

template<typename T >

Ogre::Property< T >::Property | ( | PropertyDef * | def,
|  | getter_func | getter,
|  | setter_func | setter
| ) |  |
| inline

Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.

## Member Function Documentation

## ◆ set()

template<typename T >

virtual void Ogre::Property< T >::set | ( | T | val | ) |
| inline virtual

Set the property value.

## ◆ get()

template<typename T >

virtual T Ogre::Property< T >::get | ( | void |  | ) | const
| inline virtual

## ◆ getValue()

template<typename T >

Ogre::Any Ogre::Property< T >::getValue | ( |  | ) | const
| inline virtual

Return the current value as an Any.

Implements Ogre::PropertyBase.

## ◆ getName()

const String& Ogre::PropertyBase::getName | ( | void |  | ) | const
| inline inherited

Get the name of the property.

## ◆ getDescription()

const String& Ogre::PropertyBase::getDescription | ( |  | ) | const
| inline inherited

Get the description of the property.

## ◆ getType()

PropertyType Ogre::PropertyBase::getType | ( | void |  | ) | const
| inline inherited

Get the type of the property.

The documentation for this class was generated from the following file:

- OgreProperty.h